{% extends 'appEco/base.html' %}
{% load staticfiles %}

{% block head %}
<script src="{% static 'js/sweetalert2.all.min.js' %}"></script>
<script src="{% static 'js/confirmacion.js' %}"></script>
{% endblock %}

{% block contenido %}

<div class="container-fluid" style="margin-bottom: 100vh;">
    <h1 class="text-center margen_altura">Listado de Actividades</h1>

    
    <form method="GET" class="d-flex justify-content-around margen_altura">
        <div>
            <button type="submit" name="btnTodo" class="btn-secondary btn-sm">Mostrar todas</button>
        </div>
        <div>
            <input type="text" name="titulo">
            <button type="submit" name="btnTitulo" class="btn-secondary btn-sm">Buscar por título</button>
        </div>
        <div>
            <select name="tipo">
                <option value="">---</option>
                <option value="Charla">Charla</option>
                <option value="Recolección">Recolección</option>
                <option value="Reforestación">Reforestación</option>
                <option value="Taller">Taller</option>
            </select>
            <button type="submit" name="btnTipo" class="btn-secondary btn-sm">Buscar por tipo</button>
        </div>
    </form>
    
    
    <div class="table-responsive">
        <table class="table table-striped table-bordered">
            <thead class="thead-dark">
                <tr>
                    <th>Tipo</th>
                    <th>Título</th>
                    <th>Fecha</th>
                    <th>Hora</th>
                    <th>Duración(hrs)</th>
                    <th>Comuna</th>
                    <th>Región</th>
                    <th>Dirección</th>
                    <th>Foto</th>
                    {% if request.user.groups.all.0.name == 'Mantenedor' %}
                    <th>Mantención</th>
                    {% endif %}
                    <th>Asistir</th>
                    <th>Estado</th>
                </tr>
            </thead>        
    
            {% for a in actividades %}
        
            <tr>
                <td>{{ a.tipo }}</td>
                <td>{{ a.titulo }}</td>
                <td>{{ a.fecha }}</td>
                <td>{{ a.hora }}</td>
                <td>{{ a.duracion }}</td>
                <td>{{ a.comuna }}</td>
                <td>{{ a.region }}</td>
                <td>{{ a.direccion }}</td>
                <td><img class="" src="{{ a.foto.url }}" alt="taller1" style="width:100px" id="single_image"></td>
                
                
    
                {% if request.user.groups.all.0.name == 'Mantenedor' %}
                <td>
                    <a href="{% url 'editar_actividad' a.id %}" class="btn btn-outline-primary btn-sm boton_listado">Modificar</a>
                    <a href="#" onclick="confirmarEliminacion({{ a.id }})" class="btn btn-outline-primary btn-sm boton_listado">Eliminar</a>
                </td>
                {% endif %}

                <td>
                    <a href="{% url 'inscribir_usuario' a.id %}" class="btn btn-outline-primary btn-sm boton_listado">Asistir</a>
                    <a href="{% url 'cancelar_usuario' a.id %}" class="btn btn-outline-primary btn-sm boton_listado">Cancelar</a>
                </td>

                <td>
                    {% if a in actividades_usuario %}
                    <span class="badge badge-success">Asistiré</span>
                    {% else %}
                    <span class="badge badge-danger">No asistiré</span>
                    {% endif %}
                </td>
            </tr>
        
            {% endfor %}
        
        </table>
    </div>
    
</div>





{% endblock %}


